package util.sqlparse.visitor.mysql.visitor;

import com.chenyang.druid.sql.ast.SQLStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.MySqlForceIndexHint;
import com.chenyang.druid.sql.dialect.mysql.ast.MySqlIgnoreIndexHint;
import com.chenyang.druid.sql.dialect.mysql.ast.MySqlKey;
import com.chenyang.druid.sql.dialect.mysql.ast.MySqlPrimaryKey;
import com.chenyang.druid.sql.dialect.mysql.ast.MySqlUnique;
import com.chenyang.druid.sql.dialect.mysql.ast.MySqlUseIndexHint;
import com.chenyang.druid.sql.dialect.mysql.ast.MysqlForeignKey;
import com.chenyang.druid.sql.dialect.mysql.ast.clause.MySqlCaseStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.clause.MySqlCursorDeclareStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.clause.MySqlDeclareConditionStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.clause.MySqlDeclareHandlerStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.clause.MySqlDeclareStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.clause.MySqlIterateStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.clause.MySqlLeaveStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.clause.MySqlRepeatStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.clause.MySqlSelectIntoStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.clause.MySqlTableTableSource;
import com.chenyang.druid.sql.dialect.mysql.ast.expr.MySqlCharExpr;
import com.chenyang.druid.sql.dialect.mysql.ast.expr.MySqlIntervalExpr;
import com.chenyang.druid.sql.dialect.mysql.ast.expr.MySqlJSONTableExpr;
import com.chenyang.druid.sql.dialect.mysql.ast.expr.MySqlOrderingExpr;
import com.chenyang.druid.sql.dialect.mysql.ast.expr.MySqlOutFileExpr;
import com.chenyang.druid.sql.dialect.mysql.ast.expr.MySqlUserName;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.CobarShowStatus;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.DrdsBaselineStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.DrdsCancelDDLJob;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.DrdsChangeDDLJob;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.DrdsClearDDLJobCache;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.DrdsInspectDDLJobCache;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.DrdsRecoverDDLJob;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.DrdsRemoveDDLJob;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.DrdsRollbackDDLJob;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.DrdsShowDDLJobs;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.DrdsShowGlobalIndex;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.DrdsShowMetadataLock;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySQLImportTableStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqLCacheIndexStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqLGrantStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqLRevokeStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqLShowColumnStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqLShowCreateTableStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlAlterDatabaseKillJob;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlAlterDatabaseSetOption;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlAlterEventStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlAlterLogFileGroupStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlAlterServerStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlAlterTableAlterColumn;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlAlterTableAlterFullTextIndex;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlAlterTableAlterIndex;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlAlterTableChangeColumn;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlAlterTableDiscardTablespace;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlAlterTableForce;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlAlterTableImportTablespace;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlAlterTableLock;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlAlterTableModifyColumn;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlAlterTableOption;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlAlterTableOrderBy;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlAlterTableValidation;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlAlterTablespaceStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlAlterUserStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlAnalyzeStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlBinlogStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlCheckTableStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlChecksumTableStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlClearPlanCacheStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlCreateAddLogFileGroupStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlCreateEventStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlCreateExternalCatalogStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlCreateServerStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlCreateTableSpaceStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlCreateTableStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlCreateUserStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlDeleteStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlDisabledPlanCacheStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlEventSchedule;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlExecuteForAdsStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlExecuteStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlExplainPlanCacheStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlExplainStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlExtPartition;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlFlashbackStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlFlushStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlHelpStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlHintStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlInsertStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlLoadDataInFileStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlLoadXmlStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlLockTableStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlManageInstanceGroupStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlMigrateStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlOptimizeStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlPartitionByKey;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlPrepareStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlRaftLeaderTransferStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlRaftMemberChangeStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlRenameSequenceStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlRenameTableStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlRepairTableStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlResetStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlSelectQueryBlock;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlSetTransactionStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowAuthorsStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowBinLogEventsStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowBinaryLogsStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowBroadcastsStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowCharacterSetStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowClusterNameStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowCollationStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowConfigStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowContributorsStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowCreateDatabaseStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowCreateEventStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowCreateFunctionStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowCreateProcedureStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowCreateTriggerStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowDatabaseStatusStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowDatasourcesStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowDdlStatusStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowDsStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowEngineStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowEnginesStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowErrorsStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowEventsStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowFunctionCodeStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowFunctionStatusStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowGrantsStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowHMSMetaStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowHelpStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowJobStatusStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowMasterLogsStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowMasterStatusStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowMigrateTaskStatusStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowNodeStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowOpenTablesStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowPartitionsStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowPhysicalProcesslistStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowPlanCacheStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowPlanCacheStatusStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowPluginsStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowPrivilegesStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowProcedureCodeStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowProcedureStatusStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowProcessListStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowProfileStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowProfilesStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowRelayLogEventsStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowRuleStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowRuleStatusStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowSequencesStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowSlaveHostsStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowSlaveStatusStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowSlowStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowStatusStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowTableStatusStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowTopologyStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowTraceStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowTriggersStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowVariantsStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowWarningsStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlSubPartitionByKey;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlSubPartitionByList;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlSubPartitionByValue;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlTableIndex;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlUnlockTablesStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlUpdatePlanCacheStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlUpdateStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlUpdateTableSource;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MysqlAlterFullTextStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MysqlAlterTableAlterCheck;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MysqlCreateFullTextAnalyzerStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MysqlCreateFullTextCharFilterStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MysqlCreateFullTextDictionaryStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MysqlCreateFullTextTokenFilterStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MysqlCreateFullTextTokenizerStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MysqlDeallocatePrepareStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MysqlDropFullTextStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MysqlShowCreateFullTextStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MysqlShowDbLockStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MysqlShowFullTextStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MysqlShowHtcStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MysqlShowStcStatement;
import com.chenyang.druid.sql.dialect.mysql.visitor.MySqlASTVisitor;
import java.util.List;
import util.sqlparse.visitor.Formater;

public class FormatVisitor extends Formater implements MySqlASTVisitor {
   private boolean debug = false;

   public void perform(List<SQLStatement> statements) {
      if (statements != null && statements.size() != 0) {
         for(SQLStatement statement : statements) {
            statement.accept(this);
         }

      }
   }

   public boolean visit(MySqlTableIndex x) {
      return false;
   }

   public void endVisit(MySqlTableIndex x) {
   }

   public boolean visit(MySqlKey x) {
      return false;
   }

   public void endVisit(MySqlKey x) {
   }

   public boolean visit(MySqlPrimaryKey x) {
      return false;
   }

   public void endVisit(MySqlPrimaryKey x) {
   }

   public boolean visit(MySqlUnique x) {
      return false;
   }

   public void endVisit(MySqlUnique x) {
   }

   public boolean visit(MysqlForeignKey x) {
      return false;
   }

   public void endVisit(MysqlForeignKey x) {
   }

   public void endVisit(MySqlPrepareStatement x) {
   }

   public boolean visit(MySqlPrepareStatement x) {
      return false;
   }

   public void endVisit(MySqlExecuteStatement x) {
   }

   public boolean visit(MysqlDeallocatePrepareStatement x) {
      return false;
   }

   public void endVisit(MysqlDeallocatePrepareStatement x) {
   }

   public boolean visit(MySqlExecuteStatement x) {
      return false;
   }

   public void endVisit(MySqlDeleteStatement x) {
   }

   public boolean visit(MySqlDeleteStatement x) {
      return false;
   }

   public void endVisit(MySqlInsertStatement x) {
   }

   public boolean visit(MySqlInsertStatement x) {
      return false;
   }

   public void endVisit(MySqlLoadDataInFileStatement x) {
   }

   public boolean visit(MySqlLoadDataInFileStatement x) {
      return false;
   }

   public void endVisit(MySqlLoadXmlStatement x) {
   }

   public boolean visit(MySqlLoadXmlStatement x) {
      return false;
   }

   public void endVisit(MySqlShowWarningsStatement x) {
   }

   public boolean visit(MySqlShowWarningsStatement x) {
      return false;
   }

   public void endVisit(MySqlShowStatusStatement x) {
   }

   public boolean visit(MySqlShowStatusStatement x) {
      return false;
   }

   public void endVisit(MySqlShowAuthorsStatement x) {
   }

   public boolean visit(MySqlShowAuthorsStatement x) {
      return false;
   }

   public void endVisit(MysqlShowHtcStatement x) {
   }

   public boolean visit(MysqlShowHtcStatement x) {
      return false;
   }

   public void endVisit(MysqlShowStcStatement x) {
   }

   public boolean visit(MysqlShowStcStatement x) {
      return false;
   }

   public void endVisit(CobarShowStatus x) {
   }

   public boolean visit(CobarShowStatus x) {
      return false;
   }

   public void endVisit(DrdsShowDDLJobs x) {
   }

   public boolean visit(DrdsShowDDLJobs x) {
      return false;
   }

   public void endVisit(DrdsCancelDDLJob x) {
   }

   public boolean visit(DrdsCancelDDLJob x) {
      return false;
   }

   public void endVisit(DrdsRecoverDDLJob x) {
   }

   public boolean visit(DrdsRecoverDDLJob x) {
      return false;
   }

   public void endVisit(DrdsRollbackDDLJob x) {
   }

   public boolean visit(DrdsRollbackDDLJob x) {
      return false;
   }

   public void endVisit(DrdsRemoveDDLJob x) {
   }

   public boolean visit(DrdsRemoveDDLJob x) {
      return false;
   }

   public void endVisit(DrdsInspectDDLJobCache x) {
   }

   public boolean visit(DrdsInspectDDLJobCache x) {
      return false;
   }

   public void endVisit(DrdsClearDDLJobCache x) {
   }

   public boolean visit(DrdsClearDDLJobCache x) {
      return false;
   }

   public void endVisit(DrdsChangeDDLJob x) {
   }

   public boolean visit(DrdsChangeDDLJob x) {
      return false;
   }

   public void endVisit(DrdsBaselineStatement x) {
   }

   public boolean visit(DrdsBaselineStatement x) {
      return false;
   }

   public void endVisit(DrdsShowGlobalIndex x) {
   }

   public boolean visit(DrdsShowGlobalIndex x) {
      return false;
   }

   public void endVisit(DrdsShowMetadataLock x) {
   }

   public boolean visit(DrdsShowMetadataLock x) {
      return false;
   }

   public void endVisit(MySqlBinlogStatement x) {
   }

   public boolean visit(MySqlBinlogStatement x) {
      return false;
   }

   public void endVisit(MySqlResetStatement x) {
   }

   public boolean visit(MySqlResetStatement x) {
      return false;
   }

   public void endVisit(MySqlCreateUserStatement x) {
   }

   public boolean visit(MySqlCreateUserStatement x) {
      return false;
   }

   public void endVisit(MySqlCreateUserStatement.UserSpecification x) {
   }

   public boolean visit(MySqlCreateUserStatement.UserSpecification x) {
      return false;
   }

   public void endVisit(MySqlPartitionByKey x) {
   }

   public boolean visit(MySqlPartitionByKey x) {
      return false;
   }

   public void endVisit(MySqlUpdatePlanCacheStatement x) {
   }

   public boolean visit(MySqlUpdatePlanCacheStatement x) {
      return false;
   }

   public void endVisit(MySqlShowPlanCacheStatusStatement x) {
   }

   public boolean visit(MySqlShowPlanCacheStatusStatement x) {
      return false;
   }

   public void endVisit(MySqlClearPlanCacheStatement x) {
   }

   public boolean visit(MySqlClearPlanCacheStatement x) {
      return false;
   }

   public void endVisit(MySqlDisabledPlanCacheStatement x) {
   }

   public boolean visit(MySqlDisabledPlanCacheStatement x) {
      return false;
   }

   public void endVisit(MySqlExplainPlanCacheStatement x) {
   }

   public boolean visit(MySqlExplainPlanCacheStatement x) {
      return false;
   }

   public boolean visit(MySqlSelectQueryBlock x) {
      return false;
   }

   public void endVisit(MySqlSelectQueryBlock x) {
   }

   public boolean visit(MySqlOutFileExpr x) {
      return false;
   }

   public void endVisit(MySqlOutFileExpr x) {
   }

   public boolean visit(MySqlExplainStatement x) {
      return false;
   }

   public void endVisit(MySqlExplainStatement x) {
   }

   public boolean visit(MySqlUpdateStatement x) {
      return false;
   }

   public void endVisit(MySqlUpdateStatement x) {
   }

   public boolean visit(MySqlSetTransactionStatement x) {
      return false;
   }

   public void endVisit(MySqlSetTransactionStatement x) {
   }

   public boolean visit(MySqlShowHMSMetaStatement x) {
      return false;
   }

   public void endVisit(MySqlShowHMSMetaStatement x) {
   }

   public boolean visit(MySqlShowBinaryLogsStatement x) {
      return false;
   }

   public void endVisit(MySqlShowBinaryLogsStatement x) {
   }

   public boolean visit(MySqlShowMasterLogsStatement x) {
      return false;
   }

   public void endVisit(MySqlShowMasterLogsStatement x) {
   }

   public boolean visit(MySqlShowCharacterSetStatement x) {
      return false;
   }

   public void endVisit(MySqlShowCharacterSetStatement x) {
   }

   public boolean visit(MySqlShowCollationStatement x) {
      return false;
   }

   public void endVisit(MySqlShowCollationStatement x) {
   }

   public boolean visit(MySqlShowBinLogEventsStatement x) {
      return false;
   }

   public void endVisit(MySqlShowBinLogEventsStatement x) {
   }

   public boolean visit(MySqlShowContributorsStatement x) {
      return false;
   }

   public void endVisit(MySqlShowContributorsStatement x) {
   }

   public boolean visit(MySqlShowCreateDatabaseStatement x) {
      return false;
   }

   public void endVisit(MySqlShowCreateDatabaseStatement x) {
   }

   public boolean visit(MySqlShowCreateEventStatement x) {
      return false;
   }

   public void endVisit(MySqlShowCreateEventStatement x) {
   }

   public boolean visit(MySqlShowCreateFunctionStatement x) {
      return false;
   }

   public void endVisit(MySqlShowCreateFunctionStatement x) {
   }

   public boolean visit(MySqlShowCreateProcedureStatement x) {
      return false;
   }

   public void endVisit(MySqlShowCreateProcedureStatement x) {
   }

   public boolean visit(MySqlShowCreateTriggerStatement x) {
      return false;
   }

   public void endVisit(MySqlShowCreateTriggerStatement x) {
   }

   public boolean visit(MySqlShowEngineStatement x) {
      return false;
   }

   public void endVisit(MySqlShowEngineStatement x) {
   }

   public boolean visit(MySqlShowEnginesStatement x) {
      return false;
   }

   public void endVisit(MySqlShowEnginesStatement x) {
   }

   public boolean visit(MySqlShowErrorsStatement x) {
      return false;
   }

   public void endVisit(MySqlShowErrorsStatement x) {
   }

   public boolean visit(MySqlShowEventsStatement x) {
      return false;
   }

   public void endVisit(MySqlShowEventsStatement x) {
   }

   public boolean visit(MySqlShowFunctionCodeStatement x) {
      return false;
   }

   public void endVisit(MySqlShowFunctionCodeStatement x) {
   }

   public boolean visit(MySqlShowFunctionStatusStatement x) {
      return false;
   }

   public void endVisit(MySqlShowFunctionStatusStatement x) {
   }

   public boolean visit(MySqlShowGrantsStatement x) {
      return false;
   }

   public void endVisit(MySqlShowGrantsStatement x) {
   }

   public boolean visit(MySqlUserName x) {
      return false;
   }

   public void endVisit(MySqlUserName x) {
   }

   public boolean visit(MySqlAlterDatabaseSetOption x) {
      return false;
   }

   public void endVisit(MySqlAlterDatabaseSetOption x) {
   }

   public boolean visit(MySqlAlterDatabaseKillJob x) {
      return false;
   }

   public void endVisit(MySqlAlterDatabaseKillJob x) {
   }

   public boolean visit(MySqlShowMasterStatusStatement x) {
      return false;
   }

   public void endVisit(MySqlShowMasterStatusStatement x) {
   }

   public boolean visit(MySqlShowOpenTablesStatement x) {
      return false;
   }

   public void endVisit(MySqlShowOpenTablesStatement x) {
   }

   public boolean visit(MySqlShowPluginsStatement x) {
      return false;
   }

   public void endVisit(MySqlShowPluginsStatement x) {
   }

   public boolean visit(MySqlShowPartitionsStatement x) {
      return false;
   }

   public void endVisit(MySqlShowPartitionsStatement x) {
   }

   public boolean visit(MySqlShowPrivilegesStatement x) {
      return false;
   }

   public void endVisit(MySqlShowPrivilegesStatement x) {
   }

   public boolean visit(MySqlShowProcedureCodeStatement x) {
      return false;
   }

   public void endVisit(MySqlShowProcedureCodeStatement x) {
   }

   public boolean visit(MySqlShowProcedureStatusStatement x) {
      return false;
   }

   public void endVisit(MySqlShowProcedureStatusStatement x) {
   }

   public boolean visit(MySqlShowProcessListStatement x) {
      return false;
   }

   public void endVisit(MySqlShowProcessListStatement x) {
   }

   public boolean visit(MySqlShowProfileStatement x) {
      return false;
   }

   public void endVisit(MySqlShowProfileStatement x) {
   }

   public boolean visit(MySqlShowProfilesStatement x) {
      return false;
   }

   public void endVisit(MySqlShowProfilesStatement x) {
   }

   public boolean visit(MySqlShowRelayLogEventsStatement x) {
      return false;
   }

   public void endVisit(MySqlShowRelayLogEventsStatement x) {
   }

   public boolean visit(MySqlShowSlaveHostsStatement x) {
      return false;
   }

   public void endVisit(MySqlShowSlaveHostsStatement x) {
   }

   public boolean visit(MySqlShowSequencesStatement x) {
      return false;
   }

   public void endVisit(MySqlShowSequencesStatement x) {
   }

   public boolean visit(MySqlShowSlaveStatusStatement x) {
      return false;
   }

   public void endVisit(MySqlShowSlaveStatusStatement x) {
   }

   public boolean visit(MySqlShowSlowStatement x) {
      return false;
   }

   public void endVisit(MySqlShowSlowStatement x) {
   }

   public boolean visit(MySqlShowTableStatusStatement x) {
      return false;
   }

   public void endVisit(MySqlShowTableStatusStatement x) {
   }

   public boolean visit(MySqlShowTriggersStatement x) {
      return false;
   }

   public void endVisit(MySqlShowTriggersStatement x) {
   }

   public boolean visit(MySqlShowVariantsStatement x) {
      return false;
   }

   public void endVisit(MySqlShowVariantsStatement x) {
   }

   public boolean visit(MySqlShowTraceStatement x) {
      return false;
   }

   public void endVisit(MySqlShowTraceStatement x) {
   }

   public boolean visit(MySqlShowBroadcastsStatement x) {
      return false;
   }

   public void endVisit(MySqlShowBroadcastsStatement x) {
   }

   public boolean visit(MySqlShowRuleStatement x) {
      return false;
   }

   public void endVisit(MySqlShowRuleStatement x) {
   }

   public boolean visit(MySqlShowRuleStatusStatement x) {
      return false;
   }

   public void endVisit(MySqlShowRuleStatusStatement x) {
   }

   public boolean visit(MySqlShowDsStatement x) {
      return false;
   }

   public void endVisit(MySqlShowDsStatement x) {
   }

   public boolean visit(MySqlShowDdlStatusStatement x) {
      return false;
   }

   public void endVisit(MySqlShowDdlStatusStatement x) {
   }

   public boolean visit(MySqlShowTopologyStatement x) {
      return false;
   }

   public void endVisit(MySqlShowTopologyStatement x) {
   }

   public boolean visit(MySqlRenameTableStatement.Item x) {
      return false;
   }

   public void endVisit(MySqlRenameTableStatement.Item x) {
   }

   public boolean visit(MySqlRenameTableStatement x) {
      return false;
   }

   public void endVisit(MySqlRenameTableStatement x) {
   }

   public boolean visit(MysqlShowDbLockStatement x) {
      return false;
   }

   public void endVisit(MysqlShowDbLockStatement x) {
   }

   public boolean visit(MySqlShowDatabaseStatusStatement x) {
      return false;
   }

   public void endVisit(MySqlShowDatabaseStatusStatement x) {
   }

   public boolean visit(MySqlUseIndexHint x) {
      return false;
   }

   public void endVisit(MySqlUseIndexHint x) {
   }

   public boolean visit(MySqlIgnoreIndexHint x) {
      return false;
   }

   public void endVisit(MySqlIgnoreIndexHint x) {
   }

   public boolean visit(MySqlLockTableStatement x) {
      return false;
   }

   public void endVisit(MySqlLockTableStatement x) {
   }

   public boolean visit(MySqlLockTableStatement.Item x) {
      return false;
   }

   public void endVisit(MySqlLockTableStatement.Item x) {
   }

   public boolean visit(MySqlUnlockTablesStatement x) {
      return false;
   }

   public void endVisit(MySqlUnlockTablesStatement x) {
   }

   public boolean visit(MySqlForceIndexHint x) {
      return false;
   }

   public void endVisit(MySqlForceIndexHint x) {
   }

   public boolean visit(MySqlAlterTableChangeColumn x) {
      return false;
   }

   public void endVisit(MySqlAlterTableChangeColumn x) {
   }

   public boolean visit(MySqlAlterTableOption x) {
      return false;
   }

   public void endVisit(MySqlAlterTableOption x) {
   }

   public boolean visit(MySqlCreateTableStatement x) {
      return false;
   }

   public void endVisit(MySqlCreateTableStatement x) {
   }

   public boolean visit(MySqlHelpStatement x) {
      return false;
   }

   public void endVisit(MySqlHelpStatement x) {
   }

   public boolean visit(MySqlCharExpr x) {
      return false;
   }

   public void endVisit(MySqlCharExpr x) {
   }

   public boolean visit(MySqlAlterTableModifyColumn x) {
      return false;
   }

   public void endVisit(MySqlAlterTableModifyColumn x) {
   }

   public boolean visit(MySqlAlterTableDiscardTablespace x) {
      return false;
   }

   public void endVisit(MySqlAlterTableDiscardTablespace x) {
   }

   public boolean visit(MySqlAlterTableImportTablespace x) {
      return false;
   }

   public void endVisit(MySqlAlterTableImportTablespace x) {
   }

   public boolean visit(MySqlCreateTableStatement.TableSpaceOption x) {
      return false;
   }

   public void endVisit(MySqlCreateTableStatement.TableSpaceOption x) {
   }

   public boolean visit(MySqlAnalyzeStatement x) {
      return false;
   }

   public void endVisit(MySqlAnalyzeStatement x) {
   }

   public boolean visit(MySqlCreateExternalCatalogStatement x) {
      return false;
   }

   public void endVisit(MySqlCreateExternalCatalogStatement x) {
   }

   public boolean visit(MySqlAlterUserStatement x) {
      return false;
   }

   public void endVisit(MySqlAlterUserStatement x) {
   }

   public boolean visit(MySqlOptimizeStatement x) {
      return false;
   }

   public void endVisit(MySqlOptimizeStatement x) {
   }

   public boolean visit(MySqlHintStatement x) {
      return false;
   }

   public void endVisit(MySqlHintStatement x) {
   }

   public boolean visit(MySqlOrderingExpr x) {
      return false;
   }

   public void endVisit(MySqlOrderingExpr x) {
   }

   public boolean visit(MySqlCaseStatement x) {
      return false;
   }

   public void endVisit(MySqlCaseStatement x) {
   }

   public boolean visit(MySqlDeclareStatement x) {
      return false;
   }

   public void endVisit(MySqlDeclareStatement x) {
   }

   public boolean visit(MySqlSelectIntoStatement x) {
      return false;
   }

   public void endVisit(MySqlSelectIntoStatement x) {
   }

   public boolean visit(MySqlCaseStatement.MySqlWhenStatement x) {
      return false;
   }

   public void endVisit(MySqlCaseStatement.MySqlWhenStatement x) {
   }

   public boolean visit(MySqlLeaveStatement x) {
      return false;
   }

   public void endVisit(MySqlLeaveStatement x) {
   }

   public boolean visit(MySqlIterateStatement x) {
      return false;
   }

   public void endVisit(MySqlIterateStatement x) {
   }

   public boolean visit(MySqlRepeatStatement x) {
      return false;
   }

   public void endVisit(MySqlRepeatStatement x) {
   }

   public boolean visit(MySqlCursorDeclareStatement x) {
      return false;
   }

   public void endVisit(MySqlCursorDeclareStatement x) {
   }

   public boolean visit(MySqlUpdateTableSource x) {
      return false;
   }

   public void endVisit(MySqlUpdateTableSource x) {
   }

   public boolean visit(MySqlAlterTableAlterColumn x) {
      return false;
   }

   public void endVisit(MySqlAlterTableAlterColumn x) {
   }

   public boolean visit(MySqlAlterTableForce x) {
      return false;
   }

   public void endVisit(MySqlAlterTableForce x) {
   }

   public boolean visit(MySqlAlterTableLock x) {
      return false;
   }

   public void endVisit(MySqlAlterTableLock x) {
   }

   public boolean visit(MySqlAlterTableOrderBy x) {
      return false;
   }

   public void endVisit(MySqlAlterTableOrderBy x) {
   }

   public boolean visit(MySqlAlterTableValidation x) {
      return false;
   }

   public void endVisit(MySqlAlterTableValidation x) {
   }

   public boolean visit(MySqlSubPartitionByKey x) {
      return false;
   }

   public void endVisit(MySqlSubPartitionByKey x) {
   }

   public boolean visit(MySqlSubPartitionByList x) {
      return false;
   }

   public void endVisit(MySqlSubPartitionByList x) {
   }

   public boolean visit(MySqlDeclareHandlerStatement x) {
      return false;
   }

   public void endVisit(MySqlDeclareHandlerStatement x) {
   }

   public boolean visit(MySqlDeclareConditionStatement x) {
      return false;
   }

   public void endVisit(MySqlDeclareConditionStatement x) {
   }

   public boolean visit(MySqlFlushStatement x) {
      return false;
   }

   public void endVisit(MySqlFlushStatement x) {
   }

   public boolean visit(MySqlEventSchedule x) {
      return false;
   }

   public void endVisit(MySqlEventSchedule x) {
   }

   public boolean visit(MySqlCreateEventStatement x) {
      return false;
   }

   public void endVisit(MySqlCreateEventStatement x) {
   }

   public boolean visit(MySqlCreateAddLogFileGroupStatement x) {
      return false;
   }

   public void endVisit(MySqlCreateAddLogFileGroupStatement x) {
   }

   public boolean visit(MySqlCreateServerStatement x) {
      return false;
   }

   public void endVisit(MySqlCreateServerStatement x) {
   }

   public boolean visit(MySqlCreateTableSpaceStatement x) {
      return false;
   }

   public void endVisit(MySqlCreateTableSpaceStatement x) {
   }

   public boolean visit(MySqlAlterEventStatement x) {
      return false;
   }

   public void endVisit(MySqlAlterEventStatement x) {
   }

   public boolean visit(MySqlAlterLogFileGroupStatement x) {
      return false;
   }

   public void endVisit(MySqlAlterLogFileGroupStatement x) {
   }

   public boolean visit(MySqlAlterServerStatement x) {
      return false;
   }

   public void endVisit(MySqlAlterServerStatement x) {
   }

   public boolean visit(MySqlAlterTablespaceStatement x) {
      return false;
   }

   public void endVisit(MySqlAlterTablespaceStatement x) {
   }

   public boolean visit(MySqlChecksumTableStatement x) {
      return false;
   }

   public void endVisit(MySqlChecksumTableStatement x) {
   }

   public boolean visit(MySqlShowDatasourcesStatement x) {
      return false;
   }

   public void endVisit(MySqlShowDatasourcesStatement x) {
   }

   public boolean visit(MySqlShowNodeStatement x) {
      return false;
   }

   public void endVisit(MySqlShowNodeStatement x) {
   }

   public boolean visit(MySqlShowHelpStatement x) {
      return false;
   }

   public void endVisit(MySqlShowHelpStatement x) {
   }

   public boolean visit(MySqlFlashbackStatement x) {
      return false;
   }

   public void endVisit(MySqlFlashbackStatement x) {
   }

   public boolean visit(MySqlShowConfigStatement x) {
      return false;
   }

   public void endVisit(MySqlShowConfigStatement x) {
   }

   public boolean visit(MySqlShowPlanCacheStatement x) {
      return false;
   }

   public void endVisit(MySqlShowPlanCacheStatement x) {
   }

   public boolean visit(MySqlShowPhysicalProcesslistStatement x) {
      return false;
   }

   public void endVisit(MySqlShowPhysicalProcesslistStatement x) {
   }

   public boolean visit(MySqlRenameSequenceStatement x) {
      return false;
   }

   public void endVisit(MySqlRenameSequenceStatement x) {
   }

   public boolean visit(MySqlCheckTableStatement x) {
      return false;
   }

   public void endVisit(MySqlCheckTableStatement x) {
   }

   public boolean visit(MysqlCreateFullTextCharFilterStatement x) {
      return false;
   }

   public void endVisit(MysqlCreateFullTextCharFilterStatement x) {
   }

   public boolean visit(MysqlShowFullTextStatement x) {
      return false;
   }

   public void endVisit(MysqlShowFullTextStatement x) {
   }

   public boolean visit(MysqlShowCreateFullTextStatement x) {
      return false;
   }

   public void endVisit(MysqlShowCreateFullTextStatement x) {
   }

   public boolean visit(MysqlAlterFullTextStatement x) {
      return false;
   }

   public void endVisit(MysqlAlterFullTextStatement x) {
   }

   public boolean visit(MysqlDropFullTextStatement x) {
      return false;
   }

   public void endVisit(MysqlDropFullTextStatement x) {
   }

   public boolean visit(MysqlCreateFullTextTokenizerStatement x) {
      return false;
   }

   public void endVisit(MysqlCreateFullTextTokenizerStatement x) {
   }

   public boolean visit(MysqlCreateFullTextTokenFilterStatement x) {
      return false;
   }

   public void endVisit(MysqlCreateFullTextTokenFilterStatement x) {
   }

   public boolean visit(MysqlCreateFullTextAnalyzerStatement x) {
      return false;
   }

   public void endVisit(MysqlCreateFullTextAnalyzerStatement x) {
   }

   public boolean visit(MysqlCreateFullTextDictionaryStatement x) {
      return false;
   }

   public void endVisit(MysqlCreateFullTextDictionaryStatement x) {
   }

   public boolean visit(MySqlAlterTableAlterFullTextIndex x) {
      return false;
   }

   public void endVisit(MySqlAlterTableAlterFullTextIndex x) {
   }

   public boolean visit(MySqlExecuteForAdsStatement x) {
      return false;
   }

   public void endVisit(MySqlExecuteForAdsStatement x) {
   }

   public boolean visit(MySqlManageInstanceGroupStatement x) {
      return false;
   }

   public void endVisit(MySqlManageInstanceGroupStatement x) {
   }

   public boolean visit(MySqlRaftMemberChangeStatement x) {
      return false;
   }

   public void endVisit(MySqlRaftMemberChangeStatement x) {
   }

   public boolean visit(MySqlRaftLeaderTransferStatement x) {
      return false;
   }

   public void endVisit(MySqlRaftLeaderTransferStatement x) {
   }

   public boolean visit(MySqlMigrateStatement x) {
      return false;
   }

   public void endVisit(MySqlMigrateStatement x) {
   }

   public boolean visit(MySqlShowClusterNameStatement x) {
      return false;
   }

   public void endVisit(MySqlShowClusterNameStatement x) {
   }

   public boolean visit(MySqlShowJobStatusStatement x) {
      return false;
   }

   public void endVisit(MySqlShowJobStatusStatement x) {
   }

   public boolean visit(MySqlShowMigrateTaskStatusStatement x) {
      return false;
   }

   public void endVisit(MySqlShowMigrateTaskStatusStatement x) {
   }

   public boolean visit(MySqlSubPartitionByValue x) {
      return false;
   }

   public void endVisit(MySqlSubPartitionByValue x) {
   }

   public boolean visit(MySqlExtPartition x) {
      return false;
   }

   public void endVisit(MySqlExtPartition x) {
   }

   public boolean visit(MySqlExtPartition.Item x) {
      return false;
   }

   public void endVisit(MySqlExtPartition.Item x) {
   }

   public boolean visit(MySqlJSONTableExpr x) {
      return false;
   }

   public void endVisit(MySqlJSONTableExpr x) {
   }

   public boolean visit(MySqlJSONTableExpr.Column x) {
      return false;
   }

   public void endVisit(MySqlJSONTableExpr.Column x) {
   }

   public boolean visit(MysqlAlterTableAlterCheck x) {
      return false;
   }

   public void endVisit(MysqlAlterTableAlterCheck x) {
   }

   public boolean visit(MySqlIntervalExpr x) {
      return false;
   }

   public void endVisit(MySqlIntervalExpr x) {
   }

   public boolean visit(MySqlTableTableSource x) {
      return false;
   }

   public void endVisit(MySqlTableTableSource x) {
   }

   public boolean visit(MySqlAlterTableAlterIndex x) {
      return false;
   }

   public void endVisit(MySqlAlterTableAlterIndex x) {
   }

   public boolean visit(MySqLGrantStatement x) {
      return false;
   }

   public void endVisit(MySqLGrantStatement x) {
   }

   public boolean visit(MySqLRevokeStatement x) {
      return false;
   }

   public void endVisit(MySqLRevokeStatement x) {
   }

   public boolean visit(MySqlRepairTableStatement x) {
      return false;
   }

   public void endVisit(MySqlRepairTableStatement x) {
   }

   public boolean visit(MySQLImportTableStatement x) {
      return false;
   }

   public void endVisit(MySQLImportTableStatement x) {
   }

   public boolean visit(MySqLShowColumnStatement x) {
      return false;
   }

   public void endVisit(MySqLShowColumnStatement x) {
   }

   public boolean visit(MySqLShowCreateTableStatement x) {
      return false;
   }

   public void endVisit(MySqLShowCreateTableStatement x) {
   }

   public boolean visit(MySqLCacheIndexStatement x) {
      return false;
   }

   public void endVisit(MySqLCacheIndexStatement x) {
   }
}
